Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.fill
Class JRFillBubblePlot

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillChartPlot
          net.sf.jasperreports.charts.fill.JRFillBubblePlot

All Implemented Interfaces:
  java.lang.Cloneable, JRBubblePlot, JRXAxisFormat, JRYAxisFormat, JRChartPlot, JRCloneable

    public class JRFillBubblePlot

extends JRFillChartPlot
implements JRBubblePlot

Version:
  $Id: JRFillBubblePlot.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Flavius Sana (flavius_sana@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary
`protected java.awt.Color` | `xAxisLabelColor`
`protected JRFont` | `xAxisLabelFont`
`protected java.awt.Color` | `xAxisLineColor`
`protected java.awt.Color` | `xAxisTickLabelColor`
`protected JRFont` | `xAxisTickLabelFont`
`protected java.awt.Color` | `yAxisLabelColor`
`protected JRFont` | `yAxisLabelFont`
`protected java.awt.Color` | `yAxisLineColor`
`protected java.awt.Color` | `yAxisTickLabelColor`
`protected JRFont` | `yAxisTickLabelFont`

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot
`chart, parent`

Constructor Summary
`JRFillBubblePlot(JRBubblePlot bubblePlot, JRFillObjectFactory factory)`

Method Summary
`JRExpression` | `getDomainAxisMaxValueExpression()`
`JRExpression` | `getDomainAxisMinValueExpression()`
`java.awt.Color` | `getOwnXAxisLabelColor()`
`java.awt.Color` | `getOwnXAxisLineColor()`
`java.awt.Color` | `getOwnXAxisTickLabelColor()`
`java.awt.Color` | `getOwnYAxisLabelColor()`
`java.awt.Color` | `getOwnYAxisLineColor()`
`java.awt.Color` | `getOwnYAxisTickLabelColor()`
`JRExpression` | `getRangeAxisMaxValueExpression()`
`JRExpression` | `getRangeAxisMinValueExpression()`
`int` | `getScaleType()` Deprecated. Replaced by `getScaleTypeValue()`
`java.lang.Integer` | `getScaleTypeInteger()` Deprecated. Replaced by `getScaleTypeValue()`
`ScaleTypeEnum` | `getScaleTypeValue()`
`java.awt.Color` | `getXAxisLabelColor()`
`JRExpression` | `getXAxisLabelExpression()`
`JRFont` | `getXAxisLabelFont()`
`java.awt.Color` | `getXAxisLineColor()`
`java.awt.Color` | `getXAxisTickLabelColor()`
`JRFont` | `getXAxisTickLabelFont()`
`java.lang.String` | `getXAxisTickLabelMask()`
`java.lang.Boolean` | `getXAxisVerticalTickLabels()`
`java.awt.Color` | `getYAxisLabelColor()`
`JRExpression` | `getYAxisLabelExpression()`
`JRFont` | `getYAxisLabelFont()`
`java.awt.Color` | `getYAxisLineColor()`
`java.awt.Color` | `getYAxisTickLabelColor()`
`JRFont` | `getYAxisTickLabelFont()`
`java.lang.String` | `getYAxisTickLabelMask()`
`java.lang.Boolean` | `getYAxisVerticalTickLabels()`
`void` | `setScaleType(int scaleType)` Deprecated. Replaced by `setScaleType(ScaleTypeEnum)`.
`void` | `setScaleType(java.lang.Integer scaleType)` Deprecated. Replaced by `setScaleType(ScaleTypeEnum)`.
`void` | `setScaleType(ScaleTypeEnum scaleType)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot
`addSeriesColor, clearSeriesColors, clone, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### xAxisLabelFont

    protected JRFont xAxisLabelFont

### xAxisLabelColor

    protected java.awt.Color xAxisLabelColor

### xAxisTickLabelFont

    protected JRFont xAxisTickLabelFont

### xAxisTickLabelColor

    protected java.awt.Color xAxisTickLabelColor

### xAxisLineColor

    protected java.awt.Color xAxisLineColor

### yAxisLabelFont

    protected JRFont yAxisLabelFont

### yAxisLabelColor

    protected java.awt.Color yAxisLabelColor

### yAxisTickLabelFont

    protected JRFont yAxisTickLabelFont

### yAxisTickLabelColor

    protected java.awt.Color yAxisTickLabelColor

### yAxisLineColor

    protected java.awt.Color yAxisLineColor

Constructor Detail

### JRFillBubblePlot

    public JRFillBubblePlot(JRBubblePlot bubblePlot,
                            JRFillObjectFactory factory)

Method Detail

### getXAxisLabelExpression

    public JRExpression getXAxisLabelExpression()

  Specified by:
    `getXAxisLabelExpression` in interface `JRBubblePlot`

### getXAxisLabelFont

    public JRFont getXAxisLabelFont()

  Specified by:
    `getXAxisLabelFont` in interface `JRXAxisFormat`

### getXAxisLabelColor

    public java.awt.Color getXAxisLabelColor()

  Specified by:
    `getXAxisLabelColor` in interface `JRXAxisFormat`

### getOwnXAxisLabelColor

    public java.awt.Color getOwnXAxisLabelColor()

  Specified by:
    `getOwnXAxisLabelColor` in interface `JRXAxisFormat`

### getXAxisTickLabelFont

    public JRFont getXAxisTickLabelFont()

  Specified by:
    `getXAxisTickLabelFont` in interface `JRXAxisFormat`

### getXAxisTickLabelColor

    public java.awt.Color getXAxisTickLabelColor()

  Specified by:
    `getXAxisTickLabelColor` in interface `JRXAxisFormat`

### getOwnXAxisTickLabelColor

    public java.awt.Color getOwnXAxisTickLabelColor()

  Specified by:
    `getOwnXAxisTickLabelColor` in interface `JRXAxisFormat`

### getXAxisTickLabelMask

    public java.lang.String getXAxisTickLabelMask()

  Specified by:
    `getXAxisTickLabelMask` in interface `JRXAxisFormat`

### getXAxisVerticalTickLabels

    public java.lang.Boolean getXAxisVerticalTickLabels()

  Specified by:
    `getXAxisVerticalTickLabels` in interface `JRXAxisFormat`

### getXAxisLineColor

    public java.awt.Color getXAxisLineColor()

  Specified by:
    `getXAxisLineColor` in interface `JRXAxisFormat`

### getOwnXAxisLineColor

    public java.awt.Color getOwnXAxisLineColor()

  Specified by:
    `getOwnXAxisLineColor` in interface `JRXAxisFormat`

### getYAxisLabelExpression

    public JRExpression getYAxisLabelExpression()

  Specified by:
    `getYAxisLabelExpression` in interface `JRBubblePlot`

### getYAxisLabelFont

    public JRFont getYAxisLabelFont()

  Specified by:
    `getYAxisLabelFont` in interface `JRYAxisFormat`

### getYAxisLabelColor

    public java.awt.Color getYAxisLabelColor()

  Specified by:
    `getYAxisLabelColor` in interface `JRYAxisFormat`

### getOwnYAxisLabelColor

    public java.awt.Color getOwnYAxisLabelColor()

  Specified by:
    `getOwnYAxisLabelColor` in interface `JRYAxisFormat`

### getYAxisTickLabelFont

    public JRFont getYAxisTickLabelFont()

  Specified by:
    `getYAxisTickLabelFont` in interface `JRYAxisFormat`

### getYAxisTickLabelColor

    public java.awt.Color getYAxisTickLabelColor()

  Specified by:
    `getYAxisTickLabelColor` in interface `JRYAxisFormat`

### getOwnYAxisTickLabelColor

    public java.awt.Color getOwnYAxisTickLabelColor()

  Specified by:
    `getOwnYAxisTickLabelColor` in interface `JRYAxisFormat`

### getYAxisTickLabelMask

    public java.lang.String getYAxisTickLabelMask()

  Specified by:
    `getYAxisTickLabelMask` in interface `JRYAxisFormat`

### getYAxisVerticalTickLabels

    public java.lang.Boolean getYAxisVerticalTickLabels()

  Specified by:
    `getYAxisVerticalTickLabels` in interface `JRYAxisFormat`

### getYAxisLineColor

    public java.awt.Color getYAxisLineColor()

  Specified by:
    `getYAxisLineColor` in interface `JRYAxisFormat`

### getOwnYAxisLineColor

    public java.awt.Color getOwnYAxisLineColor()

  Specified by:
    `getOwnYAxisLineColor` in interface `JRYAxisFormat`

### getScaleType

    public int getScaleType()

  Deprecated. Replaced by `getScaleTypeValue()`

  Specified by:
    `getScaleType` in interface `JRBubblePlot`

### getScaleTypeInteger

    public java.lang.Integer getScaleTypeInteger()

  Deprecated. Replaced by `getScaleTypeValue()`

  Specified by:
    `getScaleTypeInteger` in interface `JRBubblePlot`

### getScaleTypeValue

    public ScaleTypeEnum getScaleTypeValue()

  Specified by:
    `getScaleTypeValue` in interface `JRBubblePlot`

### setScaleType

    public void setScaleType(int scaleType)

  Deprecated. Replaced by `setScaleType(ScaleTypeEnum)`.

  Specified by:
    `setScaleType` in interface `JRBubblePlot`

### setScaleType

    public void setScaleType(java.lang.Integer scaleType)

  Deprecated. Replaced by `setScaleType(ScaleTypeEnum)`.

  Specified by:
    `setScaleType` in interface `JRBubblePlot`

### setScaleType

    public void setScaleType(ScaleTypeEnum scaleType)

  Specified by:
    `setScaleType` in interface `JRBubblePlot`

### getDomainAxisMinValueExpression

    public JRExpression getDomainAxisMinValueExpression()

  Specified by:
    `getDomainAxisMinValueExpression` in interface `JRBubblePlot`

### getDomainAxisMaxValueExpression

    public JRExpression getDomainAxisMaxValueExpression()

  Specified by:
    `getDomainAxisMaxValueExpression` in interface `JRBubblePlot`

### getRangeAxisMinValueExpression

    public JRExpression getRangeAxisMinValueExpression()

  Specified by:
    `getRangeAxisMinValueExpression` in interface `JRBubblePlot`

### getRangeAxisMaxValueExpression

    public JRExpression getRangeAxisMaxValueExpression()

  Specified by:
    `getRangeAxisMaxValueExpression` in interface `JRBubblePlot`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com